//https://developers.google.com/youtube/iframe_api_reference#Events
//AIzaSyCVHph8DUiAs8eemkSO_RzseEdCKEucoZ4
var player;
var videoId = 'JSF1vYDNxKs'; // YouTube video ID

// YouTube API callback function
function onYouTubeIframeAPIReady() {
  const player = new YT.Player('youtube-player', {
    videoId: videoId,
    height: '390',
    width: '640',
    events: {
      'onReady': onPlayerReady //play the video and set the volume to 50 when the player is ready
    }
  });
}

// Player ready event
function onPlayerReady(event) {
  event.target.playVideo();
  event.target.setVolume(50);

    // Center the player
    var playerContainer = document.getElementById('youtube-player');
    playerContainer.style.display = 'flex';
    playerContainer.style.justifyContent = 'center';
    playerContainer.style.alignItems = 'center';
  
  // You can perform additional actions when the player is ready
  // For example, you can center the player or customize its appearance
  // using CSS or the YouTube Player API methods
}

// Call the YouTube API function
onYouTubeIframeAPIReady();