    //https://www.w3schools.com/js/js_validation.asp inspired from
    //https://www.youtube.com/watch?v=In0nB0ABaUk

    //get jQuery working

function validateForm(){

    var form = document.getElementById('ContactForm');
    var errorElement = $("#FormError");
    form.addEventListener('submit', (e) => {
        e.preventDefault();
        //validateInputs();
    
        var name = $("#Name");
        var phoneNumber = $("#Number");
        var email = $("#Email");
        
    
        var isValidName = validateName(name);
        var isValidPhoneNumber = validatePhoneNumber(phoneNumber);
        var isValidEmail = validateEmail(email);
    
        if (isValidName && isValidEmail && isValidPhoneNumber){
            errorElement.text("Form has been submitted");
            return true;
        }
        else{
            e.preventDefault();
            errorElement.text("Please fix the errors for submission");
            //add ifs for each to see where the error content lies and make it red if bad, green if good
            //$('#Name').prev('label').css('color', 'red');
            if (!isValidName){
                $('#Name').css('color', 'red');
            }
            else{
                $('#Name').css('color', 'green');
            }
            if (!isValidEmail){
                $('#Email').css('color', 'red');
            }
            else{
                $('#Email').css('color', 'green');
            }
            if (!isValidPhoneNumber){
                $('#Number').css('color', 'red');
            }
            else{
                $('#Number').css('color', 'green');
            }
            
            return false;
        }


    
    
        // if all are valid, this.submit()
    })

}

function resetForm(){
    $('#Name').css('color', 'black');
    $('#Email').css('color', 'black');
    $('#Number').css('color', 'black');
    var errorElement = $("#FormError");
    errorElement.text("");

}

function initializeName(){}

function initializePhoneNumber(){};

function initializeEmail(){};

function validateName(name) {

      // Regular expression pattern to match the format "Firstname Lastname"
    var pattern = /^[a-zA-Z]+ [a-zA-Z]+$/;
    let x = document.forms["ContactForm"]["Name"].value;
    const nameParts = (name.val()).split(" ") //split String into parts wherever there is white space (Ensure there are 2)
    let error_messages = []; //use this as a stack and push error messages on

    if (name.val() == "" || name.val() == null){
        error_messages.push("Name must not be blank. ");
    }

    if (name.val() == 'Firstname Lastname'){
        error_messages.push("Please provide user input. ");
    }
    
    if (!pattern.test(name.val())){
        error_messages.push("The name you have entered is in the incorrect format. Please enter your name in the format of 'Firstname Lastname'. ")
   }

    // if (nameParts.length == 2){ //causing issues for some reason
    //      error_messages.push("Please ensure that you have used the correct format and include a space between firstname and lastname")
    // }

    if (error_messages.length > 0 ){ //if there is an error go here
        alert(error_messages);
        return false;
    }
    return true; //return condition for all of the passed errors

}

function validatePhoneNumber(phonenumber) {
    /*
    Specify format of Phone number
    XXX-XXX-XXXX
    */
    let error_messages = []; //use this as a stack and push error messages on
    var pattern = /^\d{3}-\d{3}-\d{4}$/;
    // ^ start of string
    // \d digit 0-9

   if (!pattern.test(phonenumber.val())){
        error_messages.push("The phone-number you have entered is not of the specified format. Please enter in the format of XXX-XXX-XXXX, where the X's represent numbers.")
        return false;
   }

   if (phonenumber.val() == "XXX-XXX-XXXX"){
        //error_messages.push
        error_messages.push("Please provide user input. ");
    }

    if (error_messages.length > 0 ){ //if there is an error go here
        alert(error_messages);
        return false;
    }

   return true;
}

function validateEmail(email) {

    /*
    Cases
    - No @ symbol
    - No period '.'
    - Check if it's a real emaiL?
    - Should be of format name@example.domain
    */
   
    var pattern = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;

    if (!pattern.test(email.val())){
        alert("The email you have entered is not of the specified format. Please enter in the format of name@example.domain.")
        return false;
   }
   return true;
}